@import "reset";
@import "palette";
@import "text";
@import "bg";
@import "arrow";

$spaceXS: 0.25rem;
$spaceS: 0.5rem;
$spaceM: 1rem;
$spaceL: 1.5em;
$spaceXL: 2rem;
$space2XL: 3rem;
$space3XL: 4rem;

$zTop: 100;

html {
  font-size: 62.5%;
  height: 100%;
}

body {
  font: 62.5% Helvetica, Arial, sans-serif; /* 1rem = 10px*/
  color: $textColor;
  height: 100%;

  @include bg-static('../images/bg3.jpg', 0.1, 0.6);
}

a {
  color: $linkColor;
}

h1 {
  @include header;
}

h2 {
  @include header2;
}

/** HEADER **/
header {
  position:fixed;
  top: 0;
  width: 100%;
  display: block;
  z-index: $zTop;
  @include bg-gradient("", 0.9, 0.1);
  text-align: center;


  @include navigation;

  .logo {
    display: inline-block;
    padding-top: $spaceXS;

    img {
      height: 2em;
      vertical-align: middle;
    }
  }

  nav {
    text-align: center;
    display: inline-block;

    a {
      display: inline-block;
      text-decoration: none;
      padding-left: $spaceXL;
      padding-right: $spaceXL;
      border: 0.1rem solid transparent;
      color: white;
    }

    a:hover {
      color: $linkHover;
    }

    a:not(:last-child) {
      border-right-color: $highlights;
    }
  }
}

header.small {

  font-size: $textXL;
  @include bg-gradient(0.9, 0.9);

  .logo {
    padding-bottom: $spaceXS;
    img {
      height: 1.33em;
      vertical-align: middle;
    }
  }
}

/** MAIN **/
main {
  height: auto;
}

p {
  @include paragraph;
}

.page {
  min-height: 100rem;
  position: relative;
  text-align:center;
}

.ye_olde {
  @include bg-gradient('../images/bg2.jpg', 0.0, 0.75);
  border-top:$spaceXL solid $borderColor;
  border-bottom: $spaceXL solid $borderColor;
}

.wine_loft {
  @include bg-static('../images/bg4.jpg', 0, 1);
}

#card {
  width: 55rem;
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  text-align: center;
  padding: $space2XL $spaceXS $space2XL $spaceXS;
  background-color: rgba(0.1, 0.1, 0.1, 0.8);
  box-shadow: 0.1rem 0.1rem 1rem $taglineColor;
  border-radius: 0.3rem;
}

.tagline {
  @include title;
  color: $taglineColor;
}

.tagline span:not(:last-child):after {
  content: "*";
  margin: 0 $spaceM 0 $spaceM;
}

.brand {
  @include brand;
  color: $brandColor;
  padding-top: $spaceM;
  padding-left: $spaceM;
}

.address {
  @include address;
  color: $taglineColor;
}

.phone {
  @include phone;
  color: $taglineColor;
}

.separator {
  font-size: $textXL;
  margin-bottom: $spaceM;
}

.separator:before {
  display: inline-block;
  height: 1px;
  content: " ";
  width: 100px;
  margin-right: 5px;
  margin-bottom: 5px;
}

.highlight {
  color: $highlights;
}

.separator:after {
  display: inline-block;
  height: 1px;
  content: " ";
  width: 100px;
  margin-left: 5px;
  margin-bottom: 5px;
}

.highlight:before, .highlight:after {
  background-color: $highlights;
}

.text {
  color: $textColor;
}

.text:before, .text:after {
  background-color: $textColor;
}

.white {
  color: white;
}

.white:before, .white:after {
  background-color: white;
}

.actions {
  padding: $space3XL;
}

.button {
  @include button;
  border: 1px solid $buttonBorder;
  border-radius: 5px;
  padding: $spaceL;
  color: $buttonColor;
  background-color: $buttonBackground;
}

.paper {
  background-image: url("../images/bg/burnt_600.png");
  background-size:cover;
  background-repeat: no-repeat;
  padding: $spaceL;
  padding-bottom: $spaceXL;

  @include paragraph;

  article {
    padding: $spaceL;
  }
}

.ye_olde .paper {
  width: 80rem;
  position: absolute;
  right: $space2XL;
  bottom: $space2XL;

  article {
    text-align: center;
  }
}

.stylish {
  color: white;
  padding-top: 20rem;

  article {
    margin: 0 auto;
    width: 60rem;
  }
}

footer {
  @include footer;
  text-align: center;
  display: block;
  background-color: $footerColor;
  padding: $spaceXL;
}

.explore {
  @include explore;
  width: 100%;
  position: absolute;
  bottom: 10%;
  text-align: center;
  color: $exploreColor;

  .arrow_box {
    margin: 0 auto;
    width: 10rem;
    padding:11px;
  }
}

.menu {
  @include menu;
  .menu_content {
    border: 2px solid black;
    box-shadow: 0 0 0 10px white;
    padding: $spaceXL;

    -webkit-columns: 100px 2;
    -moz-columns: 100px 2;
    columns: 100px 2;
    margin:0 auto;
    width: 80rem;
    background-image: url("../images/bg/lined_paper_@2X.png");

    text-align: left;

    h2 {
      margin-top: $spaceM;
    }

    h3 {
      padding: $spaceM;
      padding-left: 0;
      @include menu-item;

      small {
        @include menu-text;
        margin-left: $spaceM;
      }
    }
  }
}